# Observe

[![conduct][conduct]][conduct-url]

[conduct]: https://img.shields.io/badge/code%20of%20conduct-contributor%20covenant-green.svg?style=flat-square
[conduct-url]: CODE_OF_CONDUCT.md

## About

Cross-platform, offline, field mapping tool for OpenStreetMap

## Download
* [Android](https://tsfr.io/observe-android)
* [Request to install on iOS](https://tsfr.io/observe-ios)

## User Guide
- [A guide to mapping with Observe](docs/user-guide.md)

## Documentation
- [MacOS development environment setup](docs/macos-setup.md)
- [Troubleshooting](docs/troubleshooting.md)
- [Debugging](docs/debugging.md)
- [TestFlight](docs/testflight.md)
- [Building a release APK](docs/apk.md)
- [Updating Collecticons](docs/collecticons.md)

## Contributing

Contributions are welcome! Please read the [contributing guidelines](CONTRIBUTING.md) first.

## Conduct

It's important that this project contributes to a friendly, safe, and welcoming environment for all. Read and follow this project's [code of conduct](CODE_OF_CONDUCT.md).

## Change log

Read about the changes to this project in [CHANGELOG.md](CHANGELOG.md). The format is based on [Keep a Changelog](http://keepachangelog.com/) and this project adheres to [Semantic Versioning](http://semver.org/).

## History

Observe is a project that was conceptualized a few years ago in collaboration with [Digital Democracy](https://www.digital-democracy.org/) and [GFDRR](https://www.gfdrr.org/en). Back then react-native wasn't in a good place for building something production ready. A lot of what you see in Observe currently, would not have been possible without their support.

## Contact

Observe is being built by @geohacker, @batpad, @mojodna, @sethvincent, and @ricardomestre at Development Seed. Report issues or ask questions via the [issue tracker](https://github.com/developmentseed/observe/issues)

## License

[ISC](LICENSE.md)

