/**
 * Collecticons icon set component.
 * Usage: <Collecticons name="icon-name" size={20} color="#4F8EF7" />
 */

import createIconSet from 'react-native-vector-icons/lib/create-icon-set'
const glyphMap = {
  'arrow-down-left': 59648,
  'arrow-down-right': 59649,
  'arrow-down': 59650,
  'arrow-left': 59651,
  'arrow-loop': 59652,
  'arrow-return': 59653,
  'arrow-right': 59654,
  'arrow-semi-spin-ccw': 59655,
  'arrow-semi-spin-cw': 59656,
  'arrow-spin-ccw': 59657,
  'arrow-spin-cw': 59658,
  'arrow-up-left': 59659,
  'arrow-up-right': 59660,
  'arrow-up': 59661,
  'bell': 59662,
  'blow': 59663,
  'book-bookmark': 59664,
  'book': 59665,
  'brand-collecticons': 59666,
  'brand-development-seed-2': 59667,
  'brand-development-seed': 59668,
  'brand-dropbox': 59669,
  'brand-facebook': 59670,
  'brand-flickr': 59671,
  'brand-github': 59672,
  'brand-google-plus': 59673,
  'brand-human-rights': 59674,
  'brand-id': 59675,
  'brand-instagram': 59676,
  'brand-lastfm': 59677,
  'brand-linkedin': 59678,
  'brand-medium': 59679,
  'brand-satsummit': 59680,
  'brand-skype': 59681,
  'brand-slack': 59682,
  'brand-soundcloud': 59683,
  'brand-tumblr': 59684,
  'brand-twitter': 59685,
  'brand-youtube': 59686,
  'briefcase': 59687,
  'calendar': 59688,
  'camera': 59689,
  'chart-bars': 59690,
  'chart-line': 59691,
  'chart-pie': 59692,
  'chevron-down--small': 59693,
  'chevron-down-trail--small': 59694,
  'chevron-down': 59695,
  'chevron-left--small': 59696,
  'chevron-left-trail--small': 59697,
  'chevron-left': 59698,
  'chevron-right--small': 59699,
  'chevron-right-trail--small': 59700,
  'chevron-right': 59701,
  'chevron-step-backward': 59702,
  'chevron-step-forward': 59703,
  'chevron-up--small': 59704,
  'chevron-up-trail--small': 59705,
  'chevron-up': 59706,
  'circle-exclamation': 59707,
  'circle-forbidden': 59708,
  'circle-information': 59709,
  'circle-pause': 59710,
  'circle-play-next': 59711,
  'circle-play': 59712,
  'circle-question': 59713,
  'circle-stop': 59714,
  'circle-tick': 59715,
  'circle-xmark': 59716,
  'clipboard-tick': 59717,
  'clipboard': 59718,
  'clock-back': 59719,
  'clock': 59720,
  'code': 59721,
  'cog': 59722,
  'compass-2': 59723,
  'compass': 59724,
  'crosshair-2': 59725,
  'crosshair': 59726,
  'disc-dollar': 59727,
  'disc-xmark': 59728,
  'download-2': 59729,
  'download': 59730,
  'drop': 59731,
  'ellipsis-horizontal': 59732,
  'ellipsis-vertical': 59733,
  'envelope': 59734,
  'equal--small': 59735,
  'equal': 59736,
  'expand-down-left': 59737,
  'expand-down-right': 59738,
  'expand-top-left': 59739,
  'expand-top-right': 59740,
  'eye-disabled': 59741,
  'eye': 59742,
  'face-happy': 59743,
  'face-sad': 59744,
  'factory': 59745,
  'fence': 59746,
  'flag-pole': 59747,
  'flame': 59748,
  'folder': 59749,
  'gauge': 59750,
  'git-fork': 59751,
  'globe': 59752,
  'hamburguer-menu': 59753,
  'hand-thumbs-down': 59754,
  'hand-thumbs-up': 59755,
  'heart': 59756,
  'house': 59757,
  'houses': 59758,
  'iso-stack': 59759,
  'layout-column-2x': 59760,
  'layout-grid-2x2': 59761,
  'layout-grid-3x3': 59762,
  'layout-row-2x': 59763,
  'leaf': 59764,
  'link': 59765,
  'list': 59766,
  'lock-2-open': 59767,
  'lock-2': 59768,
  'lock-open': 59769,
  'lock': 59770,
  'login': 59771,
  'logout': 59772,
  'magnifier-left': 59773,
  'magnifier-right': 59774,
  'map': 59775,
  'marker': 59776,
  'minus--small': 59777,
  'minus': 59778,
  'mobile-phone': 59779,
  'page-cog': 59780,
  'page-label': 59781,
  'page-lock-open': 59782,
  'page-tick': 59783,
  'page': 59784,
  'pages': 59785,
  'pencil': 59786,
  'picture': 59787,
  'plus--small': 59788,
  'plus': 59789,
  'pop-down': 59790,
  'pop-up': 59791,
  'printer': 59792,
  'quote-left': 59793,
  'quote-right': 59794,
  'resize-center-horizontal': 59795,
  'resize-center-vertical': 59796,
  'resize-in': 59797,
  'resize-out': 59798,
  'road': 59799,
  'rock': 59800,
  'rss-feed': 59801,
  'share-2': 59802,
  'share': 59803,
  'sign-danger': 59804,
  'sliders-horizontal': 59805,
  'sliders-vertical': 59806,
  'sort-asc': 59807,
  'sort-desc': 59808,
  'sort-none': 59809,
  'sort': 59810,
  'spark': 59811,
  'speech-balloon': 59812,
  'square--small': 59813,
  'square': 59814,
  'star': 59815,
  'steam': 59816,
  'swap-horizontal': 59817,
  'swap-vertical': 59818,
  'tag': 59819,
  'target': 59820,
  'text-block': 59821,
  'tick--small': 59822,
  'tick': 59823,
  'trash-bin': 59824,
  'triangle-down--small': 59825,
  'triangle-down': 59826,
  'triangle-left--small': 59827,
  'triangle-left': 59828,
  'triangle-right--small': 59829,
  'triangle-right': 59830,
  'triangle-up--small': 59831,
  'triangle-up': 59832,
  'tumblr-reblog': 59833,
  'ufo': 59834,
  'upload-2': 59835,
  'upload': 59836,
  'user-group': 59837,
  'user': 59838,
  'users': 59839,
  'wrench': 59840,
  'xmark--small': 59841,
  'xmark': 59842
}

const iconSet = createIconSet(glyphMap, 'collecticons', 'Collecticons.ttf')

export default iconSet

export const Button = iconSet.Button
export const TabBarItem = iconSet.TabBarItem
export const TabBarItemIOS = iconSet.TabBarItemIOS
export const ToolbarAndroid = iconSet.ToolbarAndroid
export const getImageSource = iconSet.getImageSource
