import React from 'react'
import styled from 'styled-components/native'
import { Dimensions } from 'react-native'
import Icon from './Collecticons'

const win = Dimensions.get('window')

const Button = styled.TouchableHighlight`
  position: absolute;
  border-radius: ${Math.round(win.width + win.height) / 2};
  width: 48;
  height: 48;
  background-color: #fff;
  right: 16;
  bottom: 72;
  justify-content: center;
  align-items: center;
  shadow-color: grey;
  shadow-opacity: 0.7;
  shadow-offset: 0px 0px;
  elevation: 1;
`
export default class LocateUserButton extends React.Component {
  render () {
    return (
      <Button underlayColor='#333' onPress={this.props.onPress}>
        <Icon name='crosshair' size={20} color='#0B3954' />
      </Button>
    )
  }
}
